## libqtxdg 1.2.0+20150807

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
project(libqtxdg)

option(BUILD_TESTS "Builds tests" OFF)

# additional cmake files
set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

set(QTXDG_MAJOR_VERSION 1)
set(QTXDG_MINOR_VERSION 2)
set(QTXDG_PATCH_VERSION 0)
set(QTXDG_VERSION_STRING ${QTXDG_MAJOR_VERSION}.${QTXDG_MINOR_VERSION}.${QTXDG_PATCH_VERSION})

include(GNUInstallDirs)             # Standard directories for installation
include(CMakePackageConfigHelpers)
include(create_portable_headers)
include(create_pkgconfig_file)
include(compiler_settings NO_POLICY_SCOPE)

find_package(Qt5Widgets REQUIRED QUIET)
find_package(Qt5Xml REQUIRED QUIET)
find_package(Qt5DBus REQUIRED QUIET)
if (BUILD_TESTS)
    find_package(Qt5Test REQUIRED QUIET)
endif()


set(QTXDGX_LIBRARY_NAME "Qt5Xdg")
set(QTXDGX_FILE_NAME "qt5xdg")

set(QTXDGX_PKG_CONFIG_DESCRIPTION "Qt5Xdg, a Qt5 implementation of XDG standards")
set(QTXDGX_PKG_CONFIG_REQUIRES "Qt5Core, Qt5Xml, Qt5Widgets, Qt5DBus")
set(QTXDGX_INTREE_INCLUDEDIR "${CMAKE_CURRENT_BINARY_DIR}/InTreeBuild/include")

include_directories(
    "${Qt5Gui_PRIVATE_INCLUDE_DIRS}"
)

set(QTX_LIBRARIES Qt5::Widgets Qt5::Xml Qt5::DBus)

if (NOT CMAKE_BUILD_TYPE)
    set ( CMAKE_BUILD_TYPE Release )
endif (NOT CMAKE_BUILD_TYPE)

message(STATUS "Building with Qt ${Qt5Core_VERSION_STRING}")

set(libqtxdg_PUBLIC_H_FILES
    xdgaction.h
    xdgdesktopfile.h
    xdgdirs.h
    xdgicon.h
    xdgmenu.h
    xdgmenuwidget.h
    xmlhelper.h
    xdgautostart.h
    xdgmacros.h
    xdgmimetype.h
)

set(libqtxdg_PUBLIC_CLASSES
    XdgAction
    XdgDesktopFile
    XdgDirs
    XdgIcon
    XdgMenu
    XdgMenuWidget
    XmlHelper
    XdgAutoStart
    XdgMimeType
)

set(libqtxdg_PRIVATE_H_FILES
    xdgmenuapplinkprocessor.h
    xdgmenulayoutprocessor.h
    xdgmenu_p.h
    xdgmenureader.h
    xdgmenurules.h
    xdgdesktopfile_p.h
)

set(libqtxdg_CPP_FILES
    xdgaction.cpp
    xdgdesktopfile.cpp
    xdgdirs.cpp
    xdgicon.cpp
    xdgmenuapplinkprocessor.cpp
    xdgmenu.cpp
    xdgmenulayoutprocessor.cpp
    xdgmenureader.cpp
    xdgmenurules.cpp
    xdgmenuwidget.cpp
    xmlhelper.cpp
    xdgautostart.cpp
    xdgmimetype.cpp
    qiconfix/qiconloader.cpp
)

set(libqtxdg_MOCS
    xdgaction.h
    xdgmenuapplinkprocessor.h
    xdgmenu.h
    xdgmenu_p.h
    xdgmenureader.h
    xdgmenurules.h
    xdgmenuwidget.h
)

set(libqtxdg_PRIVATE_INSTALLABLE_H_FILES
    qiconfix/qiconloader_p.h
)

QT5_WRAP_CPP(libqtxdg_CXX_FILES ${libqtxdg_MOCS})

add_library(${QTXDGX_LIBRARY_NAME} SHARED
    ${libqtxdg_PUBLIC_H_FILES}
    ${libqtxdg_PRIVATE_H_FILES}
    ${libqtxdg_PRIVATE_INSTALLABLE_H_FILES}
    ${libqtxdg_PRIVATE_H_FILES}
    ${libqtxdg_CPP_FILES}
    ${libqtxdg_CXX_FILES}
)


target_link_libraries(${QTXDGX_LIBRARY_NAME}
    PUBLIC
        ${QTX_LIBRARIES}
)

set_target_properties(${QTXDGX_LIBRARY_NAME} PROPERTIES
  VERSION ${QTXDG_VERSION_STRING}
  SOVERSION ${QTXDG_MAJOR_VERSION}
)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/${QTXDGX_FILE_NAME}-config.cmake.in"
    "${CMAKE_BINARY_DIR}/${QTXDGX_FILE_NAME}-config.cmake"
    INSTALL_DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${QTXDGX_FILE_NAME}"
)

write_basic_package_version_file(
    "${CMAKE_BINARY_DIR}/${QTXDGX_FILE_NAME}-config-version.cmake"
    VERSION ${QTXDG_VERSION_STRING}
    COMPATIBILITY AnyNewerVersion
)

create_pkgconfig_file(
    PACKAGE_NAME ${QTXDGX_LIBRARY_NAME}
    DESCRIPTIVE_NAME ${QTXDGX_LIBRARY_NAME}
    DESCRIPTION ${QTXDGX_PKG_CONFIG_DESCRIPTION}
    INCLUDEDIRS ${QTXDGX_FILE_NAME}
    LIBS ${QTXDGX_LIBRARY_NAME}
    REQUIRES ${QTXDGX_PKG_CONFIG_REQUIRES}
    VERSION ${QTXDG_VERSION_STRING}
    INSTALL
)

target_compile_definitions(${QTXDGX_LIBRARY_NAME}
    PRIVATE "QTXDG_COMPILATION=\"1\""
)

target_include_directories(${QTXDGX_LIBRARY_NAME}
    INTERFACE "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${QTXDGX_FILE_NAME}>"
    INTERFACE "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
    INTERFACE "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${QTXDGX_FILE_NAME}/${QTXDG_VERSION_STRING}>"
)

# include directories and targets for the in tree build
target_include_directories(${QTXDGX_LIBRARY_NAME}
    INTERFACE "$<BUILD_INTERFACE:${QTXDGX_INTREE_INCLUDEDIR}/${QTXDGX_FILE_NAME}>"
    INTERFACE "$<BUILD_INTERFACE:${QTXDGX_INTREE_INCLUDEDIR}>"
    INTERFACE "$<BUILD_INTERFACE:${QTXDGX_INTREE_INCLUDEDIR}/${QTXDGX_FILE_NAME}/${QTXDG_VERSION_STRING}>"
)

export(TARGETS ${QTXDGX_LIBRARY_NAME} FILE "${CMAKE_BINARY_DIR}/${QTXDGX_FILE_NAME}-targets.cmake")
# end of in tree build stuff

# create the portble headers
create_portable_headers(libqtxdg_PORTABLE_HEADERS
    HEADER_NAMES ${libqtxdg_PUBLIC_CLASSES}
    OUTPUT_DIR "${QTXDGX_INTREE_INCLUDEDIR}/${QTXDGX_FILE_NAME}"
)

# Copy public headers (in tree building)
foreach(h ${libqtxdg_PUBLIC_H_FILES})
    get_filename_component(bh ${h} NAME)
    configure_file(${h} "${QTXDGX_INTREE_INCLUDEDIR}/${QTXDGX_FILE_NAME}/${bh}" COPYONLY)
endforeach()

# Copy private headers (in tree building)
foreach(h ${libqtxdg_PRIVATE_INSTALLABLE_H_FILES})
    get_filename_component(bh ${h} NAME)
    configure_file(${h} "${QTXDGX_INTREE_INCLUDEDIR}/${QTXDGX_FILE_NAME}/${QTXDG_VERSION_STRING}/private/qtxdg/${bh}" COPYONLY)
endforeach()

install(TARGETS
    ${QTXDGX_LIBRARY_NAME} DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    EXPORT "${QTXDGX_FILE_NAME}-targets"
    COMPONENT Runtime
)

install(EXPORT
    "${QTXDGX_FILE_NAME}-targets"
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${QTXDGX_FILE_NAME}"
    COMPONENT Devel
)

install(FILES
    ${libqtxdg_PUBLIC_H_FILES}
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/${QTXDGX_FILE_NAME}"
    COMPONENT Devel
)

install(FILES
    ${libqtxdg_PRIVATE_INSTALLABLE_H_FILES}
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/${QTXDGX_FILE_NAME}/${QTXDG_VERSION_STRING}/private/qtxdg"
    COMPONENT Devel
)

install(FILES
    "${CMAKE_BINARY_DIR}/${QTXDGX_FILE_NAME}-config.cmake"
    "${CMAKE_BINARY_DIR}/${QTXDGX_FILE_NAME}-config-version.cmake"
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${QTXDGX_FILE_NAME}"
    COMPONENT Devel
)

install(FILES
    ${libqtxdg_PORTABLE_HEADERS}
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/${QTXDGX_FILE_NAME}"
    COMPONENT Devel
)

if(BUILD_TESTS)
    enable_testing()
    target_compile_definitions(${QTXDGX_LIBRARY_NAME}
        PRIVATE "QTXDG_TESTS=\"1\""
    )
    add_subdirectory(test)
else()
    message(STATUS "")
    message(STATUS "For building tests use -DBUILD_TESTS=Yes option.")
    message(STATUS "")
endif()

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")


# building tarball with CPack -------------------------------------------------
include (InstallRequiredSystemLibraries)
set (CPACK_PACKAGE_VERSION_MAJOR ${QTXDG_MAJOR_VERSION})
set (CPACK_PACKAGE_VERSION_MINOR ${QTXDG_MINOR_VERSION})
set (CPACK_PACKAGE_VERSION_PATCH ${QTXDG_PATCH_VERSION})
set (CPACK_GENERATOR TBZ2)
set (CPACK_SOURCE_GENERATOR TBZ2)
set (CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
include (CPack)

=== debian/changelog ===
libqtxdg (1.2.0+20150807-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * Update copyright
  * Add -Wl,--as-needed to LDFLAGS
  * Initial release (Closes: #757133)

  [ Alf Gaida ]
  * some improvements in debian $foo
  * changes some whitespaces in rules

  [ Andrew Lee (李健秋) ]
  * Removing whitespaces at EOL and EOF.
  * Added myself as Uploader.
  * Merging upstream version 1.2.0+20150807.
  * Use whitespace separated instead of commas to fit the machine-readable
    copyright format.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 14 Aug 2015 04:07:21 +0800

=== debian/control ===
Source: libqtxdg
Section: libs
Priority: optional
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders:
 Alf Gaida <agaida@siduction.org>,
 ChangZhuo Chen (陳昌倬) <czchen@gmail.com>,
 Andrew Lee (李健秋) <ajqlee@debian.org>
Build-Depends:
 cmake (>= 3.0.2),
 debhelper (>= 9),
 libmagic-dev,
 pkg-config,
 qtbase5-private-dev (>= 5.3),
 qttools5-dev (>= 5.3),
 qttools5-dev-tools (>= 5.3),
Standards-Version: 3.9.6
Homepage: https://github.com/lxde/libqtxdg
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/libqtxdg.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/libqtxdg.git

Package: libqt5xdg1
Provides: libqt5xdg
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Breaks: libqt5xdg0,
Replaces: libqt5xdg0,
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Implementation of the XDG Specifications for Qt, libs
 This library implements functions of the XDG Specifications in Qt.  It is part
 of LXQt.
 .
 This package provides the shared library.

Package: libqt5xdg-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libqt5xdg1 (= ${binary:Version}),
Description: Development files for libqtxdg
 This library implements functions of the XDG Specifications in Qt.  It is part
 of LXQt.
 .
 This package provides development files.

Package: libqt5xdg1-dbg
Section: debug
Priority: extra
Multi-Arch: same
Architecture: any
Depends:
 ${misc:Depends},
 libqt5xdg1 (= ${binary:Version}),
Description: Debug symbols for libqtxdg
 This library implements functions of the XDG Specifications in Qt.  It is part
 of LXQt.
 .
 This package contains debug symbols for libqtxdg.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh ${@} --buildsystem cmake --parallel \
		--dbg-package=libqt5xdg1-dbg \
		--list-missing \
		--fail-missing

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
    http://downloads.lxqt.org/libqtxdg/([\d\.]+)/ libqtxdg-([\d\.]+)\.tar\.xz
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/libqtxdg/releases .*/libqtxdg-([\d\.]+)\.tar\.xz

## libqtxdg 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 set(QTXDG_MAJOR_VERSION 1)
-set(QTXDG_MINOR_VERSION 2)
+set(QTXDG_MINOR_VERSION 3)
 set(QTXDG_PATCH_VERSION 0)
 set(QTXDG_VERSION_STRING ${QTXDG_MAJOR_VERSION}.${QTXDG_MINOR_VERSION}.${QTXDG_PATCH_VERSION})

=== test/CMakeLists.txt ===
set(PROJECT_NAME "qtxdg_test")

set(CMAKE_AUTOMOC TRUE)

macro(qtxdg_add_test)
    foreach(_testname ${ARGN})
        add_executable(${_testname} ${_testname}.cpp)
        target_link_libraries(${_testname} Qt5::Test ${QTXDGX_LIBRARY_NAME})
        add_test(NAME ${_testname} COMMAND ${_testname})
    endforeach()
endmacro()

include_directories (
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

set_property(DIRECTORY APPEND
    PROPERTY COMPILE_DEFINITIONS "QTXDG_BUILDING_TESTS=\"1\""
)

qtxdg_add_test(
    qtxdg_test
    tst_xdgdirs
)

=== debian/changelog ===
libqtxdg (1.3.0-3) unstable; urgency=medium

  * Remove dbg package in favor of dbgsym.

 -- Alf Gaida <agaida@siduction.org>  Sat, 26 Dec 2015 17:01:26 +0100

libqtxdg (1.3.0-2) unstable; urgency=medium

  * Merge to unstable.
  * Update Vcs-*.
  * Update gbp.conf.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 12 Nov 2015 19:03:47 +0800

libqtxdg (1.3.0-1) experimental; urgency=medium

  * Cherry-picking upstream version 1.3.0.

 -- Alf Gaida <agaida@siduction.org>  Wed, 28 Oct 2015 18:09:50 +0100

libqtxdg (1.2.0+20150807-2) unstable; urgency=medium

  * cme fix dpkg-control
  * remove not needed breaks and replaces
  * removed unused files and paragraphs from copyright
  * use only github in watchfile
  * update upstream signing key

 -- Alf Gaida <agaida@siduction.org>  Mon, 31 Aug 2015 23:37:19 +0200

=== debian/control ===
Source: libqtxdg
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: libs
Priority: optional
Build-Depends: cmake (>= 3.0.2),
               debhelper (>= 9),
               libmagic-dev,
               pkg-config,
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/libqtxdg.git/?h=debian/sid
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/libqtxdg.git -b debian/sid
Homepage: https://github.com/lxde/libqtxdg

Package: libqt5xdg1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Provides: libqt5xdg
Description: Implementation of the XDG Specifications for Qt, libs
 This library implements functions of the XDG Specifications in Qt.  It is part
 of LXQt.
 .
 This package provides the shared library.

Package: libqt5xdg-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libqt5xdg1 (= ${binary:Version})
Description: Development files for libqtxdg
 This library implements functions of the XDG Specifications in Qt.  It is part
 of LXQt.
 .
 This package provides development files.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh ${@} --buildsystem cmake \
		--parallel \
		--fail-missing

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/libqtxdg/releases .*/libqtxdg-([\d\.]+)\.tar\.xz

## libqtxdg 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
project(libqtxdg)

option(BUILD_TESTS "Builds tests" OFF)
option(BUILD_DEV_UTILS "Builds and install development utils" OFF)

# additional cmake files
set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

if (CMAKE_VERSION VERSION_LESS "3.1")
    include(CheckCXXCompilerFlag)
    CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
    if(COMPILER_SUPPORTS_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    else()
        CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
        # -std=c++0x is deprecated but some tools e.g. qmake or older gcc are still using it
        if(COMPILER_SUPPORTS_CXX0X)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
        else()
            message(FATAL_ERROR "Compiler ${CMAKE_CXX_COMPILER} does not support c++11/c++0x")
        endif()
    endif()
else()
  set(CMAKE_CXX_STANDARD 11)
endif()

set(QTXDG_MAJOR_VERSION 2)
set(QTXDG_MINOR_VERSION 0)
set(QTXDG_PATCH_VERSION 0)
set(QTXDG_VERSION_STRING ${QTXDG_MAJOR_VERSION}.${QTXDG_MINOR_VERSION}.${QTXDG_PATCH_VERSION})

include(GNUInstallDirs)             # Standard directories for installation
include(CMakePackageConfigHelpers)
include(GenerateExportHeader)
include(create_portable_headers)
include(create_pkgconfig_file)
include(compiler_settings NO_POLICY_SCOPE)

find_package(Qt5Widgets REQUIRED QUIET)
find_package(Qt5Svg REQUIRED QUIET)
find_package(Qt5Xml REQUIRED QUIET)
find_package(Qt5DBus REQUIRED QUIET)

if (BUILD_TESTS)
    find_package(Qt5Test REQUIRED QUIET)
endif()


set(QTXDGX_LIBRARY_NAME "Qt5Xdg")
set(QTXDGX_FILE_NAME "qt5xdg")

set(QTXDGX_ICONLOADER_LIBRARY_NAME "Qt5XdgIconLoader")
set(QTXDGX_ICONLOADER_FILE_NAME "qt5xdgiconloader")

set(QTXDGX_PKG_CONFIG_DESCRIPTION "Qt5Xdg, a Qt5 implementation of XDG standards")
set(QTXDGX_PKG_CONFIG_REQUIRES "Qt5Core, Qt5Xml, Qt5Widgets, Qt5DBus, Qt5XdgIconLoader")

set(QTXDGX_ICONLOADER_PKG_CONFIG_DESCRIPTION "Qt5XdgIconLader, a Qt5 XDG Icon Loader")
set(QTXDGX_ICONLOADER_PKG_CONFIG_REQUIRES "Qt5Gui, Qt5Svg")

set(QTXDGX_INTREE_INCLUDEDIR "${CMAKE_CURRENT_BINARY_DIR}/InTreeBuild/include")

if (NOT CMAKE_BUILD_TYPE)
    set ( CMAKE_BUILD_TYPE Release )
endif (NOT CMAKE_BUILD_TYPE)

message(STATUS "Building with Qt ${Qt5Core_VERSION_STRING}")

add_subdirectory(xdgiconloader)
add_subdirectory(qtxdg)

if(BUILD_TESTS)
    enable_testing()
    target_compile_definitions(${QTXDGX_LIBRARY_NAME}
        PRIVATE "QTXDG_TESTS=\"1\""
    )
    add_subdirectory(test)
else()
    message(STATUS "")
    message(STATUS "For building tests use -DBUILD_TESTS=Yes option.")
    message(STATUS "")
endif()

if (BUILD_DEV_UTILS)
    add_subdirectory(util)
endif()

configure_package_config_file(
    "${PROJECT_SOURCE_DIR}/cmake/${QTXDGX_FILE_NAME}-config.cmake.in"
    "${CMAKE_BINARY_DIR}/${QTXDGX_FILE_NAME}-config.cmake"
    INSTALL_DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${QTXDGX_FILE_NAME}"
)

write_basic_package_version_file(
    "${CMAKE_BINARY_DIR}/${QTXDGX_FILE_NAME}-config-version.cmake"
    VERSION ${QTXDG_VERSION_STRING}
    COMPATIBILITY AnyNewerVersion
)

configure_package_config_file(
    "${PROJECT_SOURCE_DIR}/cmake/${QTXDGX_ICONLOADER_FILE_NAME}-config.cmake.in"
    "${CMAKE_BINARY_DIR}/${QTXDGX_ICONLOADER_FILE_NAME}-config.cmake"
    INSTALL_DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${QTXDGX_ICONLOADER_FILE_NAME}"
)

write_basic_package_version_file(
    "${CMAKE_BINARY_DIR}/${QTXDGX_ICONLOADER_FILE_NAME}-config-version.cmake"
    VERSION ${QTXDG_VERSION_STRING}
    COMPATIBILITY AnyNewerVersion
)

create_pkgconfig_file(
    PACKAGE_NAME ${QTXDGX_LIBRARY_NAME}
    DESCRIPTIVE_NAME ${QTXDGX_LIBRARY_NAME}
    DESCRIPTION ${QTXDGX_PKG_CONFIG_DESCRIPTION}
    INCLUDEDIRS ${QTXDGX_FILE_NAME}
    LIBS ${QTXDGX_LIBRARY_NAME}
    REQUIRES ${QTXDGX_PKG_CONFIG_REQUIRES}
    REQUIRES_PRIVATE ${QTXDGX_ICONLOADER_LIBRARY_NAME}
    VERSION ${QTXDG_VERSION_STRING}
    INSTALL
)

create_pkgconfig_file(
    PACKAGE_NAME ${QTXDGX_ICONLOADER_LIBRARY_NAME}
    DESCRIPTIVE_NAME ${QTXDGX_ICONLOADER_LIBRARY_NAME}
    DESCRIPTION ${QTXDGX_ICONLOADER_PKG_CONFIG_DESCRIPTION}
    INCLUDEDIRS ${QTXDGX_ICONLOADER_FILE_NAME}
    LIBS ${QTXDGX_ICONLOADER_LIBRARY_NAME}
    REQUIRES ${QTXDGX_ICONLOADER_PKG_CONFIG_REQUIRES}
    VERSION ${QTXDG_VERSION_STRING}
    INSTALL
)

install(FILES
    "${CMAKE_BINARY_DIR}/${QTXDGX_FILE_NAME}-config.cmake"
    "${CMAKE_BINARY_DIR}/${QTXDGX_FILE_NAME}-config-version.cmake"
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${QTXDGX_FILE_NAME}"
    COMPONENT Devel
)

install(FILES
    "${CMAKE_BINARY_DIR}/${QTXDGX_ICONLOADER_FILE_NAME}-config.cmake"
    "${CMAKE_BINARY_DIR}/${QTXDGX_ICONLOADER_FILE_NAME}-config-version.cmake"
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${QTXDGX_ICONLOADER_FILE_NAME}"
    COMPONENT Devel
)

install(EXPORT
    "${QTXDGX_FILE_NAME}-targets"
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${QTXDGX_FILE_NAME}"
    FILE "${QTXDGX_FILE_NAME}-targets.cmake"
    COMPONENT Devel
)

install(EXPORT
    "${QTXDGX_ICONLOADER_FILE_NAME}-targets"
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${QTXDGX_ICONLOADER_FILE_NAME}"
    FILE "${QTXDGX_ICONLOADER_FILE_NAME}-targets.cmake"
    COMPONENT Devel
)

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")


# building tarball with CPack -------------------------------------------------
include (InstallRequiredSystemLibraries)
set (CPACK_PACKAGE_VERSION_MAJOR ${QTXDG_MAJOR_VERSION})
set (CPACK_PACKAGE_VERSION_MINOR ${QTXDG_MINOR_VERSION})
set (CPACK_PACKAGE_VERSION_PATCH ${QTXDG_PATCH_VERSION})
set (CPACK_GENERATOR TBZ2)
set (CPACK_SOURCE_GENERATOR TBZ2)
set (CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
include (CPack)

=== qtxdg/CMakeLists.txt ===
set(QTX_LIBRARIES Qt5::Widgets Qt5::Xml Qt5::DBus)

include_directories(
    "${Qt5Gui_PRIVATE_INCLUDE_DIRS}"
)
set(libqtxdg_PUBLIC_H_FILES
    xdgaction.h
    xdgdesktopfile.h
    xdgdirs.h
    xdgicon.h
    xdgmenu.h
    xdgmenuwidget.h
    xmlhelper.h
    xdgautostart.h
    xdgmacros.h
    xdgmimetype.h
)

set(libqtxdg_PUBLIC_CLASSES
    XdgAction
    XdgDesktopFile
    XdgDirs
    XdgIcon
    XdgMenu
    XdgMenuWidget
    XmlHelper
    XdgAutoStart
    XdgMimeType
)

set(libqtxdg_PRIVATE_H_FILES
    xdgmenuapplinkprocessor.h
    xdgmenulayoutprocessor.h
    xdgmenu_p.h
    xdgmenureader.h
    xdgmenurules.h
    xdgdesktopfile_p.h
)

set(libqtxdg_CPP_FILES
    xdgaction.cpp
    xdgdesktopfile.cpp
    xdgdirs.cpp
    xdgicon.cpp
    xdgmenuapplinkprocessor.cpp
    xdgmenu.cpp
    xdgmenulayoutprocessor.cpp
    xdgmenureader.cpp
    xdgmenurules.cpp
    xdgmenuwidget.cpp
    xmlhelper.cpp
    xdgautostart.cpp
    xdgmimetype.cpp
)

set(libqtxdg_MOCS
    xdgaction.h
    xdgmenuapplinkprocessor.h
    xdgmenu.h
    xdgmenu_p.h
    xdgmenureader.h
    xdgmenurules.h
    xdgmenuwidget.h
)

QT5_WRAP_CPP(libqtxdg_CXX_FILES ${libqtxdg_MOCS})

add_library(${QTXDGX_LIBRARY_NAME} SHARED
    ${libqtxdg_PUBLIC_H_FILES}
    ${libqtxdg_PRIVATE_H_FILES}
    ${libqtxdg_PRIVATE_H_FILES}
    ${libqtxdg_CPP_FILES}
    ${libqtxdg_CXX_FILES}
)

target_link_libraries(${QTXDGX_LIBRARY_NAME}
    PUBLIC
        ${QTX_LIBRARIES}
        ${QTXDGX_ICONLOADER_LIBRARY_NAME}
)

set_target_properties(${QTXDGX_LIBRARY_NAME} PROPERTIES
  VERSION ${QTXDG_VERSION_STRING}
  SOVERSION ${QTXDG_MAJOR_VERSION}
)

target_compile_definitions(${QTXDGX_LIBRARY_NAME}
    PRIVATE "QTXDG_COMPILATION=\"1\""
    PRIVATE "QTXDG_VERSION=\"${QTXDG_VERSION_STRING}\""
)

target_include_directories(${QTXDGX_LIBRARY_NAME}
    INTERFACE "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${QTXDGX_FILE_NAME}>"
    INTERFACE "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
)

# include directories and targets for the in tree build
target_include_directories(${QTXDGX_LIBRARY_NAME}
    INTERFACE "$<BUILD_INTERFACE:${QTXDGX_INTREE_INCLUDEDIR}/${QTXDGX_FILE_NAME}>"
    INTERFACE "$<BUILD_INTERFACE:${QTXDGX_INTREE_INCLUDEDIR}>"
)

export(TARGETS ${QTXDGX_LIBRARY_NAME} APPEND FILE "${CMAKE_BINARY_DIR}/${QTXDGX_FILE_NAME}-targets.cmake")
# end of in tree build stuff

# create the portble headers
create_portable_headers(libqtxdg_PORTABLE_HEADERS
    HEADER_NAMES ${libqtxdg_PUBLIC_CLASSES}
    OUTPUT_DIR "${QTXDGX_INTREE_INCLUDEDIR}/${QTXDGX_FILE_NAME}"
)

# Copy public headers (in tree building)
foreach(h ${libqtxdg_PUBLIC_H_FILES})
    get_filename_component(bh ${h} NAME)
    configure_file(${h} "${QTXDGX_INTREE_INCLUDEDIR}/${QTXDGX_FILE_NAME}/${bh}" COPYONLY)
endforeach()

# Copy private headers (in tree building)
foreach(h ${libqtxdg_PRIVATE_INSTALLABLE_H_FILES})
    get_filename_component(bh ${h} NAME)
    configure_file(${h} "${QTXDGX_INTREE_INCLUDEDIR}/${QTXDGX_FILE_NAME}/${QTXDG_VERSION_STRING}/private/qtxdg/${bh}" COPYONLY)
endforeach()

install(TARGETS
    ${QTXDGX_LIBRARY_NAME} DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    EXPORT "${QTXDGX_FILE_NAME}-targets"
    COMPONENT Runtime
)

install(FILES
    ${libqtxdg_PUBLIC_H_FILES}
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/${QTXDGX_FILE_NAME}"
    COMPONENT Devel
)

install(FILES
    ${libqtxdg_PRIVATE_INSTALLABLE_H_FILES}
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/${QTXDGX_FILE_NAME}/${QTXDG_VERSION_STRING}/private/qtxdg"
    COMPONENT Devel
)

install(FILES
    ${libqtxdg_PORTABLE_HEADERS}
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/${QTXDGX_FILE_NAME}"
    COMPONENT Devel
)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,9 @@
 set(PROJECT_NAME "qtxdg_test")
+
+remove_definitions(
+    -DQT_USE_QSTRINGBUILDER
+    -DQT_NO_CAST_FROM_ASCII
+)
 
 set(CMAKE_AUTOMOC TRUE)
 
@@ -11,7 +16,7 @@
 endmacro()
 
 include_directories (
-    ${CMAKE_SOURCE_DIR}
+    "${CMAKE_SOURCE_DIR}/qtxdg"
     ${CMAKE_CURRENT_BINARY_DIR}
 )
 
@@ -22,4 +27,5 @@
 qtxdg_add_test(
     qtxdg_test
     tst_xdgdirs
+    tst_xdgdesktopfile
 )

=== debian/changelog ===
libqtxdg (2.0.0-8) unstable; urgency=medium

  * Added dependency libqt5svg5-dev to QtXdgIconloader dev package.
    (Closes: #877569)- Thanks Tim Dengel <tim.dengel.debian@gmail.com>
  * Bumped Standards to 4.1.1
  * added override_dh_missing to rules

 -- Alf Gaida <agaida@siduction.org>  Tue, 03 Oct 2017 16:32:20 +0200

libqtxdg (2.0.0-7) unstable; urgency=medium

  * Added qttranslations5-l10n to Recommends - without this packagage there are
    no working shortcuts in localized LXQt desktops. So we want to make sure
    that the package is at least recommended for qtxdg based packages.

 -- Alf Gaida <agaida@siduction.org>  Mon, 24 Jul 2017 21:54:16 +0200

libqtxdg (2.0.0-6) unstable; urgency=medium

  * Bump Standards to 4.0.0 - no changes needed
  * Added Dependeny share-mime-info (Closes: #866744)
  * Bumped year in copyrights
  * Removed --parallel from rules, default in compat-leveld 10

 -- Alf Gaida <agaida@siduction.org>  Sat, 01 Jul 2017 14:15:07 +0200

libqtxdg (2.0.0-5) unstable; urgency=medium

  * Rebuild  with Qt 5.7.1~

 -- Alf Gaida <agaida@siduction.org>  Fri, 04 Nov 2016 17:59:49 +0100

libqtxdg (2.0.0-4) unstable; urgency=medium

  * Cherry-picked new upstream release 2.0.0.
  * Added current signing key
  * Bumped compat to 10
  * Bumped debhelper to (>= 10)
  * Added build dependency libqt5svg5-dev
  * Renamed package libqt5xdg1 -> libqt5xdg2 (soname bump)
  * Added packages libqt5xdgiconloader2 and libqt5xdgiconloader-dev
  * XdgIconLoader: Recommend gtk-update-icon-cache
    Thanks Rohan Garg <rohan@kde.org>
  * Renamed install and symbols files
  * Fixed symbols
  * Fixed .gitignore
  * Reworked descriptions in debian/control to prevent lintian whining
  * Fixed copyright for xdgiconloader
  * Added README.md to debian/docs
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo

 -- Alf Gaida <agaida@siduction.org>  Sat, 09 Jul 2016 20:16:32 +0200

libqtxdg (1.3.0-4) unstable; urgency=medium

  * Added libfile-mimeinfo-perl as dependency, we really need this, a
    recommendation is not enough. Thanks tsujan. 
  * Bumped standards to 3.9.8, no changes needed
  * Bump years in copyright
  * Added README to debian/docs
  * Added hardening=+all
  * Exported  LC_ALL=C.UTF-8 - define language settings for 
    reproducible builds
  * Fixed VCS-fields, use https and plain /git/
  * Fixed copyrights Format field to https
    
 -- Alf Gaida <agaida@siduction.org>  Wed, 10 Aug 2016 23:06:12 +0200

=== debian/control ===
Source: libqtxdg
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               libmagic-dev,
               libqt5svg5-dev,
               pkg-config,
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/libqtxdg.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/libqtxdg.git -b debian/sid
Homepage: https://github.com/lxde/libqtxdg

Package: libqt5xdg2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libfile-mimeinfo-perl,
         shared-mime-info
Recommends: qttranslations5-l10n
Pre-Depends: ${misc:Pre-Depends}
Provides: libqt5xdg
Description: Implementation of the XDG Specifications for Qt (shared lib)
 This library implements functions of the XDG Specifications in Qt.  It is part
 of LXQt.
 .
 This package provides the shared library.

Package: libqt5xdgiconloader2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: gtk-update-icon-cache
Pre-Depends: ${misc:Pre-Depends}
Provides: libqt5xdgiconloader
Description: Implementation of the XDG Iconloader for Qt (shared lib)
 This library implements the backend to load icons which are handled according
 to the XDG Icon Theme Specification in Qt. It is part of LXQt.
 .
 This package provides the shared library.

Package: libqt5xdg-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libqt5xdg2 (= ${binary:Version}),
         libqt5xdgiconloader-dev (= ${binary:Version})
Description: Development files for libqtxdg
 This library implements functions of the XDG Specifications in Qt. It is part
 of LXQt.
 .
 This package provides development files.

Package: libqt5xdgiconloader-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libqt5svg5-dev,
         libqt5xdgiconloader2 (= ${binary:Version})
Description: Development files for libqtxdgiconloader
 This library implements the backend to load icons which are handled according
 to the XDG Icon Theme Specification in Qt. It is part of LXQt.
 .
 This package provides development files.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake \

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## libqtxdg 3.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,10 +25,12 @@
   set(CMAKE_CXX_STANDARD 11)
 endif()
 
-set(QTXDG_MAJOR_VERSION 2)
-set(QTXDG_MINOR_VERSION 0)
+set(QTXDG_MAJOR_VERSION 3)
+set(QTXDG_MINOR_VERSION 1)
 set(QTXDG_PATCH_VERSION 0)
 set(QTXDG_VERSION_STRING ${QTXDG_MAJOR_VERSION}.${QTXDG_MINOR_VERSION}.${QTXDG_PATCH_VERSION})
+
+set(QT_MINIMUM_VERSION "5.6.1")
 
 include(GNUInstallDirs)             # Standard directories for installation
 include(CMakePackageConfigHelpers)
@@ -37,13 +39,12 @@
 include(create_pkgconfig_file)
 include(compiler_settings NO_POLICY_SCOPE)
 
-find_package(Qt5Widgets REQUIRED QUIET)
-find_package(Qt5Svg REQUIRED QUIET)
-find_package(Qt5Xml REQUIRED QUIET)
-find_package(Qt5DBus REQUIRED QUIET)
+set(CMAKE_AUTOMOC ON)
+
+find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Widgets Svg Xml DBus)
 
 if (BUILD_TESTS)
-    find_package(Qt5Test REQUIRED QUIET)
+    find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Test)
 endif()
 
 
@@ -52,12 +53,13 @@
 
 set(QTXDGX_ICONLOADER_LIBRARY_NAME "Qt5XdgIconLoader")
 set(QTXDGX_ICONLOADER_FILE_NAME "qt5xdgiconloader")
+set(QTXDGX_ICONENGINEPLUGIN_LIBRARY_NAME "Qt5XdgIconPlugin")
 
 set(QTXDGX_PKG_CONFIG_DESCRIPTION "Qt5Xdg, a Qt5 implementation of XDG standards")
-set(QTXDGX_PKG_CONFIG_REQUIRES "Qt5Core, Qt5Xml, Qt5Widgets, Qt5DBus, Qt5XdgIconLoader")
+set(QTXDGX_PKG_CONFIG_REQUIRES "Qt5Core >= ${QT_MINIMUM_VERSION}, Qt5Xml >= ${QT_MINIMUM_VERSION}, Qt5Widgets >= ${QT_MINIMUM_VERSION}, Qt5DBus >= ${QT_MINIMUM_VERSION}, Qt5XdgIconLoader = ${QTXDG_VERSION_STRING}")
 
 set(QTXDGX_ICONLOADER_PKG_CONFIG_DESCRIPTION "Qt5XdgIconLader, a Qt5 XDG Icon Loader")
-set(QTXDGX_ICONLOADER_PKG_CONFIG_REQUIRES "Qt5Gui, Qt5Svg")
+set(QTXDGX_ICONLOADER_PKG_CONFIG_REQUIRES "Qt5Gui >= ${QT_MINIMUM_VERSION}, Qt5Svg >= ${QT_MINIMUM_VERSION}")
 
 set(QTXDGX_INTREE_INCLUDEDIR "${CMAKE_CURRENT_BINARY_DIR}/InTreeBuild/include")
 
@@ -65,7 +67,7 @@
     set ( CMAKE_BUILD_TYPE Release )
 endif (NOT CMAKE_BUILD_TYPE)
 
-message(STATUS "Building with Qt ${Qt5Core_VERSION_STRING}")
+message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION}")
 
 add_subdirectory(xdgiconloader)
 add_subdirectory(qtxdg)
@@ -167,16 +169,5 @@
     "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
     IMMEDIATE @ONLY)
 
-add_custom_target(uninstall
-    COMMAND ${CMAKE_COMMAND} -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
-
-
-# building tarball with CPack -------------------------------------------------
-include (InstallRequiredSystemLibraries)
-set (CPACK_PACKAGE_VERSION_MAJOR ${QTXDG_MAJOR_VERSION})
-set (CPACK_PACKAGE_VERSION_MINOR ${QTXDG_MINOR_VERSION})
-set (CPACK_PACKAGE_VERSION_PATCH ${QTXDG_PATCH_VERSION})
-set (CPACK_GENERATOR TBZ2)
-set (CPACK_SOURCE_GENERATOR TBZ2)
-set (CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
-include (CPack)
+#add_custom_target(uninstall
+#    COMMAND ${CMAKE_COMMAND} -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== test/CMakeLists.txt ===
remove_definitions(
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_CAST_FROM_ASCII
)

add_definitions(
    -DQT_NO_KEYWORDS
)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

macro(qtxdg_add_test)
    foreach(_testname ${ARGN})
        add_executable(${_testname} ${_testname}.cpp)
        target_link_libraries(${_testname} Qt5::Test ${QTXDGX_LIBRARY_NAME})
        target_include_directories(${_testname}
            PRIVATE "${PROJECT_SOURCE_DIR}/qtxdg"
        )
        add_test(NAME ${_testname} COMMAND ${_testname})
    endforeach()
endmacro()

set_property(DIRECTORY APPEND
    PROPERTY COMPILE_DEFINITIONS "QTXDG_BUILDING_TESTS=\"1\""
)

qtxdg_add_test(
    qtxdg_test
    tst_xdgdirs
    tst_xdgdesktopfile
)

=== xdgiconloader/CMakeLists.txt ===
set(xdgiconloader_PUBLIC_H_FILES
)

set(xdgiconloader_PUBLIC_CLASSES
)

set(xdgiconloader_PRIVATE_H_FILES
)

set(xdgiconloader_CPP_FILES
    xdgiconloader.cpp
)

set(xdgiconloader_MOCS
)

set(xdgiconloader_PRIVATE_INSTALLABLE_H_FILES
    xdgiconloader_p.h
)


add_library(${QTXDGX_ICONLOADER_LIBRARY_NAME} SHARED
    ${xdgiconloader_CPP_FILES}
    ${xdgiconloader_PRIVATE_INSTALLABLE_H_FILES}
)

generate_export_header(${QTXDGX_ICONLOADER_LIBRARY_NAME} BASE_NAME XdgIconLoader)

# Copy public headers (in tree building)
set(XDGICONLOADER_EXPORT_FILE "xdgiconloader_export.h")
configure_file(
    "${CMAKE_CURRENT_BINARY_DIR}/${XDGICONLOADER_EXPORT_FILE}"
    "${QTXDGX_INTREE_INCLUDEDIR}/${QTXDGX_ICONLOADER_FILE_NAME}/${XDGICONLOADER_EXPORT_FILE}"
    COPYONLY
)

target_compile_definitions(${QTXDGX_ICONLOADER_LIBRARY_NAME}
    PRIVATE
        "QT_NO_KEYWORDS"
)

target_include_directories(${QTXDGX_ICONLOADER_LIBRARY_NAME}
    INTERFACE
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${QTXDGX_ICONLOADER_FILE_NAME}>"
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${QTXDGX_ICONLOADER_FILE_NAME}/${QTXDG_VERSION_STRING}>"
    PUBLIC
        "$<BUILD_INTERFACE:${QTXDGX_INTREE_INCLUDEDIR}/${QTXDGX_ICONLOADER_FILE_NAME}>"
        "$<BUILD_INTERFACE:${QTXDGX_INTREE_INCLUDEDIR}>"
        "$<BUILD_INTERFACE:${QTXDGX_INTREE_INCLUDEDIR}/${QTXDGX_ICONLOADER_FILE_NAME}/${QTXDG_VERSION_STRING}>"
    PRIVATE
        ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
)

target_link_libraries(${QTXDGX_ICONLOADER_LIBRARY_NAME}
    PUBLIC
        Qt5::Gui
        Qt5::Svg
)

set_target_properties(${QTXDGX_ICONLOADER_LIBRARY_NAME}
    PROPERTIES
        VERSION   ${QTXDG_VERSION_STRING}
        SOVERSION ${QTXDG_MAJOR_VERSION}
)

add_subdirectory(plugin)

install(TARGETS
    ${QTXDGX_ICONLOADER_LIBRARY_NAME} DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    EXPORT "${QTXDGX_ICONLOADER_FILE_NAME}-targets"
    COMPONENT Runtime
)

install(FILES
    ${xdgiconloader_PRIVATE_INSTALLABLE_H_FILES}
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/${QTXDGX_ICONLOADER_FILE_NAME}/${QTXDG_VERSION_STRING}/private/xdgiconloader"
    COMPONENT Devel
)

file(COPY
    ${xdgiconloader_PRIVATE_INSTALLABLE_H_FILES}
    DESTINATION "${QTXDGX_INTREE_INCLUDEDIR}/${QTXDGX_ICONLOADER_FILE_NAME}/${QTXDG_VERSION_STRING}/private/xdgiconloader"
)

install(FILES
    "${QTXDGX_INTREE_INCLUDEDIR}/${QTXDGX_ICONLOADER_FILE_NAME}/${XDGICONLOADER_EXPORT_FILE}"
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/${QTXDGX_ICONLOADER_FILE_NAME}"
)

=== examples/use-qtxdg/CMakeLists.txt ===
project(use-qtxdg)
cmake_minimum_required(VERSION 2.8.12)

find_package(QT5XDG)
add_executable(use-qtxdg main.cpp)
target_link_libraries(use-qtxdg Qt5Xdg)

=== debian/changelog ===
libqtxdg (3.1.0-5build2) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 22:07:40 -0500

libqtxdg (3.1.0-5build1) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 27 Feb 2018 10:08:58 -0600

libqtxdg (3.1.0-5) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed debian/gbp.conf
  * Removed branch from VCS fields 

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 01:52:34 +0100

libqtxdg (3.1.0-4) unstable; urgency=medium

  * Switch to unstable

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Dec 2017 02:22:57 +0100

libqtxdg (3.1.0-3) experimental; urgency=medium

  * Removed superfluous line from symbols
  * Removed trailing whitespaces from changelog

 -- Alf Gaida <agaida@siduction.org>  Thu, 30 Nov 2017 21:26:44 +0100

libqtxdg (3.1.0-2) experimental; urgency=medium

  * Pick up Qt 5.9.2

 -- Alf Gaida <agaida@siduction.org>  Fri, 27 Oct 2017 19:11:33 +0200

libqtxdg (3.1.0-1) experimental; urgency=medium

  * Cherry-picked new upstream-release 3.1.0
  * Added lintian-overrides for tools package
  * Added new symbols for action handling

 -- Alf Gaida <agaida@siduction.org>  Sun, 22 Oct 2017 13:53:34 +0200

libqtxdg (3.0.0-1) experimental; urgency=medium

  * Imported new upstream release: 3.0.0
  * Switched to experimental
  * Renamed packages to reflect the new soname
  * Added dependency libqt5svg5-dev to QtXdgIconloader dev package.
  * Bumped Standards to 4.1.1
  * Added override_dh_missing
  * Added tools package
  * Fixed symbols
  * Reworked copyright

 -- Alf Gaida <agaida@siduction.org>  Mon, 09 Oct 2017 18:01:08 +0200

=== debian/control ===
--- 
+++ 
@@ -13,12 +13,12 @@
                qtbase5-private-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/libqtxdg.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/libqtxdg.git -b debian/sid
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/libqtxdg.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/libqtxdg.git
 Homepage: https://github.com/lxde/libqtxdg
 
-Package: libqt5xdg2
+Package: libqt5xdg3
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -34,7 +34,7 @@
  .
  This package provides the shared library.
 
-Package: libqt5xdgiconloader2
+Package: libqt5xdgiconloader3
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -52,7 +52,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libqt5xdg2 (= ${binary:Version}),
+         libqt5xdg3 (= ${binary:Version}),
          libqt5xdgiconloader-dev (= ${binary:Version})
 Description: Development files for libqtxdg
  This library implements functions of the XDG Specifications in Qt. It is part
@@ -63,11 +63,21 @@
 Package: libqt5xdgiconloader-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends},
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
          libqt5svg5-dev,
-         libqt5xdgiconloader2 (= ${binary:Version})
+         libqt5xdgiconloader3 (= ${binary:Version})
 Description: Development files for libqtxdgiconloader
  This library implements the backend to load icons which are handled according
  to the XDG Icon Theme Specification in Qt. It is part of LXQt.
  .
  This package provides development files.
+
+Package: qtxdg-dev-tools
+Architecture: any
+Section: devel
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libqt5xdgiconloader3 (= ${binary:Version})
+Description: Development tools for libqtxdgiconloader
+ This package provide some development tools for qtxdg.

=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,13 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh ${@} --buildsystem cmake \
+	dh ${@} --buildsystem cmake
 
 override_dh_missing:
 	dh_missing --fail-missing
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		-DBUILD_DEV_UTILS=YES \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/libqtxdg/releases .*/libqtxdg-([\d\.]+)\.tar\.xz

## libqtxdg 3.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 endif()
 
 set(QTXDG_MAJOR_VERSION 3)
-set(QTXDG_MINOR_VERSION 1)
+set(QTXDG_MINOR_VERSION 2)
 set(QTXDG_PATCH_VERSION 0)
 set(QTXDG_VERSION_STRING ${QTXDG_MAJOR_VERSION}.${QTXDG_MINOR_VERSION}.${QTXDG_PATCH_VERSION})
 
@@ -35,6 +35,7 @@
 include(GNUInstallDirs)             # Standard directories for installation
 include(CMakePackageConfigHelpers)
 include(GenerateExportHeader)
+include(prevent_in_source_builds)
 include(create_portable_headers)
 include(create_pkgconfig_file)
 include(compiler_settings NO_POLICY_SCOPE)

=== debian/changelog ===
libqtxdg (3.2.0-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 19 Sep 2018 10:28:10 -0700

libqtxdg (3.2.0-2) unstable; urgency=medium

  * Added libqtxdg dependency libglib2.0-bin
    (Closes: #902054, #902055)

 -- Alf Gaida <agaida@siduction.org>  Sat, 23 Jun 2018 14:35:01 +0200

libqtxdg (3.2.0-1) unstable; urgency=medium

  * Cherry-picked new upstream-release 3.2.0
  * Fixed watchfile lxde -> lxqt
  * Moved ./debian/.gitignore to ./.gitignore

 -- Alf Gaida <agaida@siduction.org>  Wed, 23 May 2018 01:44:48 +0200

libqtxdg (3.1.0-6) unstable; urgency=medium

  * Bumped debhelper to >= 11~
  * Bumped compat to 11
  * Installed examples
  * Removed cmake minimum version, not needed any longer
  * Bumped Standards to 4.1.4, no changes needed
  * Removed trailing whitespaces
  * Changed VCS fields to salsa
  * Fixed homepage link
  * Added dependency file to libqtxdg
  * Added dependency libmagic-dev to libqtxdg-dev
  * Use a secure link to copyright-format
  * Fixed Source link
  * Fixed years in copyright

 -- Alf Gaida <agaida@siduction.org>  Thu, 26 Apr 2018 20:32:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,32 @@
 Source: libqtxdg
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: debhelper (>= 10),
-               cmake (>= 3.0.2),
+               cmake,
                libmagic-dev,
                libqt5svg5-dev,
                pkg-config,
                qtbase5-private-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/libqtxdg.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/libqtxdg.git
-Homepage: https://github.com/lxde/libqtxdg
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/lxqt-team/libqtxdg
+Vcs-Git: https://salsa.debian.org/lxqt-team/libqtxdg.git
+Homepage: https://github.com/lxqt/libqtxdg
 
 Package: libqt5xdg3
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         file,
          libfile-mimeinfo-perl,
+         libglib2.0-bin,
          shared-mime-info
 Recommends: qttranslations5-l10n
 Pre-Depends: ${misc:Pre-Depends}
@@ -52,6 +55,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
+         libmagic-dev,
          libqt5xdg3 (= ${binary:Version}),
          libqt5xdgiconloader-dev (= ${binary:Version})
 Description: Development files for libqtxdg

## libqtxdg 3.3.1

=== debian/changelog ===
libqtxdg (3.3.1-2) unstable; urgency=medium

  * Upstream patch: Avoid freeze for DBusActivatable apps (Closes: #928721)

 -- Alf Gaida <agaida@siduction.org>  Thu, 09 May 2019 17:57:01 +0200

libqtxdg (3.3.1-1) unstable; urgency=medium

  * Cherry-picked new upstream-release 3.3.1.
  * Added build dependency lxqt-build-tools (>= 0.6.0)
  * Removed some cmake files from debian/copyright

 -- Alf Gaida <agaida@siduction.org>  Sun, 24 Feb 2019 17:18:32 +0100

libqtxdg (3.3.0-1) unstable; urgency=medium

  * Cherry-picked new upstream-release 3.3.0
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Added Build-Depends-Package field to symbols
  * Fixed the location of some files in d/copyright
  * Fixed years in d/copyright

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 12:49:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: libqtxdg
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                libmagic-dev,
                libqt5svg5-dev,
+               lxqt-build-tools (>= 0.6.0),
                pkg-config,
                qtbase5-private-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/lxqt-team/libqtxdg
 Vcs-Git: https://salsa.debian.org/lxqt-team/libqtxdg.git
 Homepage: https://github.com/lxqt/libqtxdg
